## buthead 1.1

=== Makefile ===
all: buthead
CFLAGS+=-Wall -g -O2
-include Makefile.randomuselesscrap

## buthead 1.0

=== debian/changelog ===
buthead (1.0-16) unstable; urgency=low

  * bump debian standards
  * switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 15:40:27 +0000

buthead (1.0-15) unstable; urgency=low

  * distinguish unicode hyphen from ascii dash in man page
  * cease ignoring errors in installation scripts

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 25 Sep 2009 22:24:59 -0400

buthead (1.0-14) unstable; urgency=low

  * Use update-alternatives for bh alias for buthead

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 30 May 2009 22:18:27 +0100

buthead (1.0-13) unstable; urgency=low

  * Note in man page that sed 1,5d can substitute for buthead 5
  * Create alias bh for buthead, to beat "buthead 5" = "sed 1,5d", see
    http://upsilon.cc/~zack/blog/posts/2009/05/command_of_the_day:_buthead/

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 29 May 2009 08:08:42 +0100

buthead (1.0-12) unstable; urgency=low

  * Use flashy new dh override_xxx mechanism in debian/rules

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 17 Apr 2009 11:36:46 +0100

buthead (1.0-11) unstable; urgency=low

  * Clear lintian misc:Depends warning
  * rev deb std

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 19 Mar 2009 23:11:38 +0000

buthead (1.0-10) unstable; urgency=low

  * rev deb std, dh 7

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 27 Aug 2008 12:54:39 +0200

buthead (1.0-9) unstable; urgency=low

  * rev deb standard, rephrase description

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 23 Dec 2007 17:26:18 +0100

buthead (1.0-8) unstable; urgency=low

  * add dh_strip to debian/rules (closes: #436608)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 10 Aug 2007 09:33:27 +0100

buthead (1.0-7) unstable; urgency=low

  * shorten and obfuscate man page
  * policy rev

 -- Barak A. Pearlmutter <bap@debian.org>  Thu,  3 Aug 2006 01:16:18 +0100

buthead (1.0-6) unstable; urgency=low

  * posix updates for tail xref
  * lengthen description (closes: #117151, #209440)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Jun 2004 14:35:34 +0100

buthead (1.0-5) unstable; urgency=low

  * multiline description
  * update maintainer address

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 16 Sep 2003 16:19:02 +0100

buthead (1.0-4) unstable; urgency=low

  * lengthen and clarify description (closes: #209440)
  * rev description version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Sep 2003 17:33:12 +0200

buthead (1.0-3) unstable; urgency=low

  * detect command line arg greater than LONG_MAX
  * cosmetic changes to shorten source code

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sat,  9 Mar 2002 00:45:32 -0700

buthead (1.0-2) unstable; urgency=low

  * add build dependency on debhelper (closes: #105643)
  * minor mods:
  * allow long skip count
  * robust parsing of count
  * more informative and evocative error messages

 -- Barak Pearlmutter <bap@cs.unm.edu>  Wed, 18 Jul 2001 16:09:25 -0600

buthead (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Barak Pearlmutter <bap@cs.unm.edu>  Mon, 25 Jun 2001 18:49:49 -0600

=== debian/control ===
Source: buthead
Section: text
Priority: extra
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.8.4
Build-depends: debhelper (>= 7.2.5)
Vcs-Git: git://git.debian.org/git/collab-maint/buthead.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/buthead.git

Package: buthead
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: copy all but the first few lines
 Program to copy all but the first N lines of stdin to stdout.

## buthead 1.1

=== debian/changelog ===
buthead (1.1-7) unstable; urgency=medium

  * use dh_installalternatives

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 18 Nov 2022 14:36:28 +0000

buthead (1.1-6) unstable; urgency=medium

  * bump debhelper from old 11 to 13.
  * set debhelper-compat version in Build-Depends.
  * bump standards version
  * upcase "depends"

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Sep 2022 14:12:45 +0100

buthead (1.1-5) unstable; urgency=medium

  * bump standards version
  * bump debhelper version
  * use secure URLs
  * swizzle packaging repo to salsa
  * priority optional, per standards
  * harden

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 31 Jul 2018 11:21:39 +0200

buthead (1.1-4) unstable; urgency=medium

  * canonicalize debian collab-maint git repo urls
  * bump standards version (debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 14 Feb 2014 12:11:52 +0000

buthead (1.1-3) unstable; urgency=low

  * add sources url to debian/copyright (closes: #690025)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 11 Oct 2012 12:54:10 +0100

buthead (1.1-2) unstable; urgency=low

  * bump standards version (debian/control)
  * dh 9

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 11 Apr 2012 22:28:03 +0100

buthead (1.1-1) unstable; urgency=low

  * bump standards version (debian/control)
  * dh 8
  * dh --parallel
  * debian patches accepted upstream (closes: #643062)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Sep 2011 22:32:36 +0100

=== debian/control ===
Source: buthead
Section: text
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/buthead.git
Vcs-Browser: https://salsa.debian.org/debian/buthead

Package: buthead
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: copy all but the first few lines
 Program to copy all but the first N lines of stdin to stdout.
